
%global meadversion 2.3.0
%global namedversion 2.3.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%{?scl:%scl_package jboss-ejb3-ext-api} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.3.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-ejb3-ext-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss EJB3 ext api
License:        LGPLv3
Group:          Development/Java

%if %with mead
Source100: jboss-ejb3-ext-api-2.3.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-ejb3-ext-api-2.3.0.Final-redhat-00001.jar
Source103: jboss-ejb3-ext-api-2.3.0.Final-redhat-00001-javadoc.jar
Source104: jboss-ejb3-ext-api-2.3.0.Final-redhat-00001.pom
Source105: jboss-ejb3-ext-api-2.3.0.Final-redhat-00001-sources.jar
%endif

URL:            http://www.jboss.org/

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss EJB3 ext api.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-ejb3-ext-api
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-ejb3-ext-api-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}

install -pD -T -m 644 %{_sourcedir}/jboss-ejb3-ext-api-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-ejb3-ext-api-%{namedversion}.jar
install -pD -T -m 644 %{_sourcedir}/jboss-ejb3-ext-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-ejb3-ext-api-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

%if %with javadoc
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jboss-ejb3-ext-api-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/jboss-ejb3-ext-api-%{namedversion} %{_sourcedir}/jboss-ejb3-ext-api-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/jboss-ejb3-ext-api-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s jboss-ejb3-ext-api-%{namedversion} jboss-ejb3-ext-api)
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}*/jboss-ejb3-ext-api-%{namedversion}.jar
%{_javadir}*/jboss-ejb3-ext-api.jar
%{_javadir}*/jboss-ejb3-ext-api-%{namedversion}-sources.jar
%{_javadir}*/jboss-ejb3-ext-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-ejb3-ext-api-%{namedversion}
%{_javadocdir}/jboss-ejb3-ext-api
%endif

%changelog
* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.0-1.Final_redhat_00001.1
- 2.3.0.Final_redhat_00001

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 2.2.0-5.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 2.2.0-4.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Wed Oct 28 2015 Permaine Cheung <pcheung@redhat.com> - 2.2.0-3.Final_redhat_1.1
- 2.2.0.Final

* Tue Sep 22 2015 Permaine Cheung <pcheung@redhat.com> - 2.2.0-2.CR1_redhat_1.1
- 2.2.0.CR1

* Fri Aug 28 2015 Permaine Cheung <pcheung@redhat.com> - 2.2.0-1.Beta1_redhat_1.1
- 2.2.0.Beta1

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 2.1.0-2.redhat_2.1
- EAP 7 build

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 2.1-1.0.2
- EAP 7 build

* Tue Sep 10 2013 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.redhat_1
- Upgrade to 2.1.0

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-9.redhat_2
- Rebuild for MD5

* Tue Aug 21 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:2.0.0-8.redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-7.redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-7.redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-7.redhat_1
- Remove javadocs from main package

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> 0:2.0.0-6_redhat_1.1
- Rebuild for new wrapper

* Mon Feb 20 2012 Weinan Li <weli@redhat.com> 0:2.0.0-6
- Upgrade to 2.0.0-redhat-1

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:2.0.0-5
- Requires: jboss-ejb-api_3.1_spec
- remove META-INF from javadoc
- fix Release tag
- add mead option
- fix up spec in non-mead mode
- fix repolib file ownership

* Wed Jan 04 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-4_redhat_1
- upgrade to 2.0.0-beta-2

* Fri Oct 28 2011 Lin Gao <lgao@redhat.com> - 0:2.0.0-3_redhat_1
- fix signed jars issue

* Thu Oct 20 2011 Lin Gao <lgao@redhat.com> - 0:2.0.0-2_redhat_1
- build rpm against -mead package

* Fri Sep 16 2011 Lin Gao <lgao@redhat.com> - 0:2.0.0-1
- upgrade to 2.0.0-beta-1
- wolf mead build

* Fri Jul 08 2011 Hui Wang <huwang@redhat.com> - 0:1.1.0-6
- Remove jboss-metadata-ejb-7.0.0.Beta3.jar
- BR/R jboss-metadata

* Fri Jul 08 2011 Hui Wang <huwang@redhat.com> - 0:1.1.0-5
- Add jboss-metadata-ejb-7.0.0.Beta3.jar as source temperately

* Thu Jun 09 2011 Hui Wang <huwang@redhat.com> - 0:1.1.0-4
- Add R jboss-ejb3-build

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:1.1.0-3
- Add BR jboss-ejb3-build

* Mon May 30 2011 Hui Wang <huwang@redhat.com> - 0:1.1.0-2
- Rebuild 

* Mon May 30 2011 Hui Wang <huwang@redhat.com> - 0:1.1.0-1
- Upgrade to 1.1.0
- Cleanup

* Tue Jan 18 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-3.7
- Rebuild for MEAD
- Change BR junit44 to junit4
- Add BR qdox

* Mon Nov 22 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-3.6
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-3.5.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.0-3.5.1
- Rebuild
- Fix depmap entry for dtdparser

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.0.0-3.5
- BuildRequires:	codehaus-stax11-api
- Add needed depmap

* Mon Dec 07 2009 Martha Benitez <mbenitez@redhat.com> 0:1.0.0-3.4
- Add javadoc and sources jar files to main package and repolib

* Thu Oct 01 2009 Martha Benitez <mbenitez@redhat.com> 0:1.0.0-3.3
- Add pom.xml to repolib

* Tue Aug 25 2009 Yong Yang <yyang@redhat.com> 0:1.0.0-3.2
- replace jboss-ejb3-build.pom with (B)R jboss-ejb3-build

* Tue Aug 25 2009 Yong Yang <yyang@redhat.com> 0:1.0.0-3.1
- Update to 1.0.0-3 from jpackage

* Tue Jul 14 2009 Yong Yang <yyang@redhat.com> 0:1.0.0-2.1
- Import from JPP-6
- Change BR maven-shared-enforcer-rule-api to maven-enforcer-rule-api
- Change jboss-ejb3-build.pom location
- Add (Build)Requires: jbossws-parent, jboss-javaee, jboss-javaee-poms, jboss-jms-1.1-api, gnu-getopt, glassfish-jaxws
- Add jpp-depmap for jboss-ejb-api, jboss-jms-api, jboss-ejb3-build

* Thu Jul 02 2009 David Walluck <dwalluck@redhat.com> 0:1.0.0-2
- add repolib

* Tue Jun 30 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.0-1.jpp5
- first release
